sidebarNodes={"extras":[{"group":"","headers":[{"anchor":"modules","id":"Modules"}],"id":"api-reference","title":"API Reference"},{"group":"","headers":[{"anchor":"core-ideas","id":"Core ideas"},{"anchor":"usage-example","id":"Usage Example"},{"anchor":"features-roadmap","id":"Features &amp; Roadmap"},{"anchor":"installation","id":"Installation"},{"anchor":"typecheck-compared-to-other-tools","id":"TypeCheck compared to other tools"},{"anchor":"is-it-any-good","id":"Is it any good?"}],"id":"readme","title":"Guide/Readme"},{"group":"","headers":[{"anchor":"what-about-elixir-s-built-in-typespecs-and-dialyzer","id":"What about Elixir's built-in typespecs and Dialyzer?"},{"anchor":"introducing-typecheck","id":"Introducing TypeCheck"},{"anchor":"an-example","id":"An Example"},{"anchor":"adding-typecheck","id":"Adding TypeCheck"},{"anchor":"efficiency-of-runtime-checks","id":"Efficiency of runtime checks"},{"anchor":"spectests","id":"Spectests"},{"anchor":"more-general-properties","id":"More general properties"},{"anchor":"there-is-more","id":"There is more"},{"anchor":"summary","id":"Summary"}],"id":"type-checking-and-spec-testing-with-typecheck","title":"Introducing TypeCheck"},{"group":"","headers":[{"anchor":"basic-types","id":"Basic Types"},{"anchor":"literals","id":"Literals"},{"anchor":"built-in-types","id":"Built-in types"},{"anchor":"typecheck-additions","id":"🚀 TypeCheck Additions"},{"anchor":"defining-specifications","id":"Defining Specifications"},{"anchor":"remote-types","id":"✅ Remote Types"}],"id":"comparing-typecheck-and-elixir-typespecs","title":"Comparison to Plain Typespecs"},{"group":"","headers":[],"id":"comparing-typecheck-and-norm","title":"Comparing TypeCheck and Norm"}],"modules":[{"group":"Main","id":"TypeCheck","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:value/0","id":"value/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"conforms/3","id":"conforms/3"},{"anchor":"conforms!/3","id":"conforms!/3"},{"anchor":"conforms?/3","id":"conforms?/3"},{"anchor":"dynamic_conforms/3","id":"dynamic_conforms/3"},{"anchor":"dynamic_conforms!/3","id":"dynamic_conforms!/3"},{"anchor":"dynamic_conforms?/3","id":"dynamic_conforms?/3"}]}],"sections":[{"anchor":"module-types-and-their-syntax","id":"Types and their syntax"},{"anchor":"module-named-types-type-guards","id":"Named Types Type Guards"},{"anchor":"module-manual-type-checking","id":"Manual type-checking"}],"title":"TypeCheck"},{"group":"Main","id":"TypeCheck.Defstruct","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"defstruct!/1","id":"defstruct!/1"}]}],"sections":[],"title":"TypeCheck.Defstruct"},{"group":"Main","id":"TypeCheck.ExUnit","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"__using__/1","id":"__using__/1"},{"anchor":"spectest/2","id":"spectest/2"}]}],"sections":[],"title":"TypeCheck.ExUnit"},{"group":"Main","id":"TypeCheck.External","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"apply/4","id":"apply/4"},{"anchor":"apply!/4","id":"apply!/4"},{"anchor":"enforce_spec!/1","id":"enforce_spec!/1"},{"anchor":"fetch_spec/3","id":"fetch_spec/3"},{"anchor":"fetch_type/3","id":"fetch_type/3"}]}],"sections":[{"anchor":"module-experimental","id":"Experimental"}],"title":"TypeCheck.External"},{"group":"Main","id":"TypeCheck.Macros","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"@/1","id":"@/1"},{"anchor":"opaque!/1","id":"opaque!/1"},{"anchor":"spec!/1","id":"spec!/1"},{"anchor":"type!/1","id":"type!/1"},{"anchor":"typep!/1","id":"typep!/1"}]}],"sections":[{"anchor":"module-usage","id":"Usage"}],"title":"TypeCheck.Macros"},{"group":"Main","id":"TypeCheck.Options","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:remote_type/0","id":"remote_type/0"},{"anchor":"t:t/0","id":"t/0"},{"anchor":"t:type_override/0","id":"type_override/0"},{"anchor":"t:type_overrides/0","id":"type_overrides/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"check_overrides!/1","id":"check_overrides!/1"},{"anchor":"new/0","id":"new/0"},{"anchor":"new/1","id":"new/1"}]}],"sections":[{"anchor":"module-setting-different-options-for-different-dependencies","id":"Setting different options for different dependencies"},{"anchor":"module-the-supported-options-in-detail","id":"The supported options in detail"}],"title":"TypeCheck.Options"},{"group":"Main","id":"TypeCheck.Spec","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"defined?/3","id":"defined?/3"},{"anchor":"lookup/3","id":"lookup/3"},{"anchor":"lookup!/3","id":"lookup!/3"}]}],"sections":[],"title":"TypeCheck.Spec"},{"group":"Main","id":"TypeCheck.Type","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:expandable_type/0","id":"expandable_type/0"},{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"build/2","id":"build/2"},{"anchor":"type?/1","id":"type?/1"}]}],"sections":[],"title":"TypeCheck.Type"},{"group":"Errors and Formatting them","id":"TypeCheck.TypeError","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:check_name/0","id":"check_name/0"},{"anchor":"t:extra_information/0","id":"extra_information/0"},{"anchor":"t:location/0","id":"location/0"},{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:problematic_value/0","id":"problematic_value/0"},{"anchor":"t:t/0","id":"t/0"},{"anchor":"t:type_checked_against/0","id":"type_checked_against/0"}]}],"sections":[],"title":"TypeCheck.TypeError"},{"group":"Errors and Formatting them","id":"TypeCheck.TypeError.DefaultFormatter","nested_context":"TypeCheck.TypeError","nested_title":".DefaultFormatter","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"do_format/1","id":"do_format/1"},{"anchor":"format/2","id":"format/2"}]}],"sections":[],"title":"TypeCheck.TypeError.DefaultFormatter"},{"group":"Errors and Formatting them","id":"TypeCheck.TypeError.Formatter","nested_context":"TypeCheck.TypeError","nested_title":".Formatter","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"}]},{"key":"callbacks","name":"Callbacks","nodes":[{"anchor":"c:format/2","id":"format/2"}]}],"sections":[],"title":"TypeCheck.TypeError.Formatter"},{"group":"Property Testing","id":"TypeCheck.Type.StreamData","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"arbitrary_primitive_type_gen/0","id":"arbitrary_primitive_type_gen/0"},{"anchor":"arbitrary_type_gen/0","id":"arbitrary_type_gen/0"},{"anchor":"fixed_list_gen/0","id":"fixed_list_gen/0"},{"anchor":"to_gen/1","id":"to_gen/1"},{"anchor":"wrap_with_gen/2","id":"wrap_with_gen/2"}]}],"sections":[],"title":"TypeCheck.Type.StreamData"},{"group":"Builtin Types","id":"TypeCheck.Builtin","nodeGroups":[{"key":"built-in-elixir-types","name":"Built-in Elixir types","nodes":[{"anchor":"any/0","id":"any/0"},{"anchor":"arity/0","id":"arity/0"},{"anchor":"as_boolean/1","id":"as_boolean/1"},{"anchor":"atom/0","id":"atom/0"},{"anchor":"binary/0","id":"binary/0"},{"anchor":"bitstring/0","id":"bitstring/0"},{"anchor":"boolean/0","id":"boolean/0"},{"anchor":"byte/0","id":"byte/0"},{"anchor":"char/0","id":"char/0"},{"anchor":"charlist/0","id":"charlist/0"},{"anchor":"fixed_map/1","id":"fixed_map/1"},{"anchor":"fixed_tuple/1","id":"fixed_tuple/1"},{"anchor":"float/0","id":"float/0"},{"anchor":"fun/0","id":"fun/0"},{"anchor":"function/0","id":"function/0"},{"anchor":"function/1","id":"function/1"},{"anchor":"function/2","id":"function/2"},{"anchor":"identifier/0","id":"identifier/0"},{"anchor":"integer/0","id":"integer/0"},{"anchor":"iodata/0","id":"iodata/0"},{"anchor":"iolist/0","id":"iolist/0"},{"anchor":"keyword/0","id":"keyword/0"},{"anchor":"keyword/1","id":"keyword/1"},{"anchor":"list/0","id":"list/0"},{"anchor":"list/1","id":"list/1"},{"anchor":"literal/1","id":"literal/1"},{"anchor":"map/0","id":"map/0"},{"anchor":"map/2","id":"map/2"},{"anchor":"maybe_improper_list/0","id":"maybe_improper_list/0"},{"anchor":"maybe_improper_list/2","id":"maybe_improper_list/2"},{"anchor":"mfa/0","id":"mfa/0"},{"anchor":"module/0","id":"module/0"},{"anchor":"neg_integer/0","id":"neg_integer/0"},{"anchor":"no_return/0","id":"no_return/0"},{"anchor":"non_neg_integer/0","id":"non_neg_integer/0"},{"anchor":"none/0","id":"none/0"},{"anchor":"nonempty_binary/0","id":"nonempty_binary/0"},{"anchor":"nonempty_bitstring/0","id":"nonempty_bitstring/0"},{"anchor":"nonempty_charlist/0","id":"nonempty_charlist/0"},{"anchor":"nonempty_improper_list/2","id":"nonempty_improper_list/2"},{"anchor":"nonempty_list/0","id":"nonempty_list/0"},{"anchor":"nonempty_list/1","id":"nonempty_list/1"},{"anchor":"nonempty_maybe_improper_list/2","id":"nonempty_maybe_improper_list/2"},{"anchor":"number/0","id":"number/0"},{"anchor":"one_of/1","id":"one_of/1"},{"anchor":"one_of/2","id":"one_of/2"},{"anchor":"pid/0","id":"pid/0"},{"anchor":"port/0","id":"port/0"},{"anchor":"pos_integer/0","id":"pos_integer/0"},{"anchor":"range/1","id":"range/1"},{"anchor":"range/2","id":"range/2"},{"anchor":"reference/0","id":"reference/0"},{"anchor":"sized_bitstring/1","id":"sized_bitstring/1"},{"anchor":"sized_bitstring/2","id":"sized_bitstring/2"},{"anchor":"struct/0","id":"struct/0"},{"anchor":"term/0","id":"term/0"},{"anchor":"timeout/0","id":"timeout/0"},{"anchor":"tuple/0","id":"tuple/0"}]},{"key":"extensions","name":"Extensions","nodes":[{"anchor":"fancy_map/3","id":"fancy_map/3"},{"anchor":"fixed_list/1","id":"fixed_list/1"},{"anchor":"guarded_by/3","id":"guarded_by/3"},{"anchor":"impl/1","id":"impl/1"},{"anchor":"lazy/1","id":"lazy/1"},{"anchor":"named_type/4","id":"named_type/4"},{"anchor":"tuple/1","id":"tuple/1"}]}],"sections":[],"title":"TypeCheck.Builtin"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Any","nested_context":"TypeCheck.Builtin","nested_title":".Any","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.Any"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Atom","nested_context":"TypeCheck.Builtin","nested_title":".Atom","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.Atom"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Binary","nested_context":"TypeCheck.Builtin","nested_title":".Binary","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.Binary"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Bitstring","nested_context":"TypeCheck.Builtin","nested_title":".Bitstring","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.Bitstring"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Boolean","nested_context":"TypeCheck.Builtin","nested_title":".Boolean","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.Boolean"},{"group":"Builtin Types","id":"TypeCheck.Builtin.CompoundFixedMap","nested_context":"TypeCheck.Builtin","nested_title":".CompoundFixedMap","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.CompoundFixedMap"},{"group":"Builtin Types","id":"TypeCheck.Builtin.FixedList","nested_context":"TypeCheck.Builtin","nested_title":".FixedList","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.FixedList"},{"group":"Builtin Types","id":"TypeCheck.Builtin.FixedMap","nested_context":"TypeCheck.Builtin","nested_title":".FixedMap","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.FixedMap"},{"group":"Builtin Types","id":"TypeCheck.Builtin.FixedTuple","nested_context":"TypeCheck.Builtin","nested_title":".FixedTuple","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.FixedTuple"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Float","nested_context":"TypeCheck.Builtin","nested_title":".Float","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.Float"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Function","nested_context":"TypeCheck.Builtin","nested_title":".Function","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"contravariant_wrapper/2","id":"contravariant_wrapper/2"},{"anchor":"param_check_code/3","id":"param_check_code/3"}]}],"sections":[],"title":"TypeCheck.Builtin.Function"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Guarded","nested_context":"TypeCheck.Builtin","nested_title":".Guarded","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:ast/0","id":"ast/0"},{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"ast_gen/1","id":"ast_gen/1"}]}],"sections":[],"title":"TypeCheck.Builtin.Guarded"},{"group":"Builtin Types","id":"TypeCheck.Builtin.ImplementsProtocol","nested_context":"TypeCheck.Builtin","nested_title":".ImplementsProtocol","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.ImplementsProtocol"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Integer","nested_context":"TypeCheck.Builtin","nested_title":".Integer","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.Integer"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Lazy","nested_context":"TypeCheck.Builtin","nested_title":".Lazy","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"lazily_expand_type/1","id":"lazily_expand_type/1"}]}],"sections":[],"title":"TypeCheck.Builtin.Lazy"},{"group":"Builtin Types","id":"TypeCheck.Builtin.List","nested_context":"TypeCheck.Builtin","nested_title":".List","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"},{"anchor":"t:t/1","id":"t/1"}]}],"sections":[],"title":"TypeCheck.Builtin.List"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Literal","nested_context":"TypeCheck.Builtin","nested_title":".Literal","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.Literal"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Map","nested_context":"TypeCheck.Builtin","nested_title":".Map","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.Map"},{"group":"Builtin Types","id":"TypeCheck.Builtin.MaybeImproperList","nested_context":"TypeCheck.Builtin","nested_title":".MaybeImproperList","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"},{"anchor":"t:t/2","id":"t/2"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"empty?/1","id":"empty?/1"}]}],"sections":[],"title":"TypeCheck.Builtin.MaybeImproperList"},{"group":"Builtin Types","id":"TypeCheck.Builtin.NamedType","nested_context":"TypeCheck.Builtin","nested_title":".NamedType","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"stringify_name/2","id":"stringify_name/2"}]}],"sections":[],"title":"TypeCheck.Builtin.NamedType"},{"group":"Builtin Types","id":"TypeCheck.Builtin.NegInteger","nested_context":"TypeCheck.Builtin","nested_title":".NegInteger","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.NegInteger"},{"group":"Builtin Types","id":"TypeCheck.Builtin.NonNegInteger","nested_context":"TypeCheck.Builtin","nested_title":".NonNegInteger","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.NonNegInteger"},{"group":"Builtin Types","id":"TypeCheck.Builtin.None","nested_context":"TypeCheck.Builtin","nested_title":".None","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.None"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Number","nested_context":"TypeCheck.Builtin","nested_title":".Number","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.Number"},{"group":"Builtin Types","id":"TypeCheck.Builtin.OneOf","nested_context":"TypeCheck.Builtin","nested_title":".OneOf","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.OneOf"},{"group":"Builtin Types","id":"TypeCheck.Builtin.OptionalFixedMap","nested_context":"TypeCheck.Builtin","nested_title":".OptionalFixedMap","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.OptionalFixedMap"},{"group":"Builtin Types","id":"TypeCheck.Builtin.PID","nested_context":"TypeCheck.Builtin","nested_title":".PID","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.PID"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Port","nested_context":"TypeCheck.Builtin","nested_title":".Port","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.Port"},{"group":"Builtin Types","id":"TypeCheck.Builtin.PosInteger","nested_context":"TypeCheck.Builtin","nested_title":".PosInteger","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.PosInteger"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Range","nested_context":"TypeCheck.Builtin","nested_title":".Range","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.Range"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Reference","nested_context":"TypeCheck.Builtin","nested_title":".Reference","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.Reference"},{"group":"Builtin Types","id":"TypeCheck.Builtin.SizedBitstring","nested_context":"TypeCheck.Builtin","nested_title":".SizedBitstring","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.SizedBitstring"},{"group":"Builtin Types","id":"TypeCheck.Builtin.Tuple","nested_context":"TypeCheck.Builtin","nested_title":".Tuple","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:problem_tuple/0","id":"problem_tuple/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.Builtin.Tuple"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"anchor":"default_overrides/0","id":"default_overrides/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Access","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Access","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:access_fun/2","id":"access_fun/2"},{"anchor":"t:any_container/0","id":"any_container/0"},{"anchor":"t:container/0","id":"container/0"},{"anchor":"t:get_and_update_fun/2","id":"get_and_update_fun/2"},{"anchor":"t:get_fun/1","id":"get_fun/1"},{"anchor":"t:key/0","id":"key/0"},{"anchor":"t:nil_container/0","id":"nil_container/0"},{"anchor":"t:t/0","id":"t/0"},{"anchor":"t:value/0","id":"value/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Access"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Agent","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Agent","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:agent/0","id":"agent/0"},{"anchor":"t:name/0","id":"name/0"},{"anchor":"t:on_start/0","id":"on_start/0"},{"anchor":"t:state/0","id":"state/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Agent"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Application","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Application","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:app/0","id":"app/0"},{"anchor":"t:application_key/0","id":"application_key/0"},{"anchor":"t:key/0","id":"key/0"},{"anchor":"t:restart_type/0","id":"restart_type/0"},{"anchor":"t:start_type/0","id":"start_type/0"},{"anchor":"t:state/0","id":"state/0"},{"anchor":"t:value/0","id":"value/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Application"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Base","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Base","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:decode_case/0","id":"decode_case/0"},{"anchor":"t:encode_case/0","id":"encode_case/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Base"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Calendar","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Calendar","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:calendar/0","id":"calendar/0"},{"anchor":"t:date/0","id":"date/0"},{"anchor":"t:datetime/0","id":"datetime/0"},{"anchor":"t:day/0","id":"day/0"},{"anchor":"t:day_fraction/0","id":"day_fraction/0"},{"anchor":"t:day_of_era/0","id":"day_of_era/0"},{"anchor":"t:day_of_week/0","id":"day_of_week/0"},{"anchor":"t:era/0","id":"era/0"},{"anchor":"t:hour/0","id":"hour/0"},{"anchor":"t:iso_days/0","id":"iso_days/0"},{"anchor":"t:microsecond/0","id":"microsecond/0"},{"anchor":"t:minute/0","id":"minute/0"},{"anchor":"t:month/0","id":"month/0"},{"anchor":"t:naive_datetime/0","id":"naive_datetime/0"},{"anchor":"t:second/0","id":"second/0"},{"anchor":"t:std_offset/0","id":"std_offset/0"},{"anchor":"t:time/0","id":"time/0"},{"anchor":"t:time_zone/0","id":"time_zone/0"},{"anchor":"t:time_zone_database/0","id":"time_zone_database/0"},{"anchor":"t:utc_offset/0","id":"utc_offset/0"},{"anchor":"t:week/0","id":"week/0"},{"anchor":"t:year/0","id":"year/0"},{"anchor":"t:zone_abbr/0","id":"zone_abbr/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"calendar_gen/0","id":"calendar_gen/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Calendar"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Calendar.ISO","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Calendar.ISO","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:bce/0","id":"bce/0"},{"anchor":"t:ce/0","id":"ce/0"},{"anchor":"t:day/0","id":"day/0"},{"anchor":"t:day_of_week/0","id":"day_of_week/0"},{"anchor":"t:day_of_year/0","id":"day_of_year/0"},{"anchor":"t:era/0","id":"era/0"},{"anchor":"t:hour/0","id":"hour/0"},{"anchor":"t:microsecond/0","id":"microsecond/0"},{"anchor":"t:minute/0","id":"minute/0"},{"anchor":"t:month/0","id":"month/0"},{"anchor":"t:quarter_of_year/0","id":"quarter_of_year/0"},{"anchor":"t:second/0","id":"second/0"},{"anchor":"t:weekday/0","id":"weekday/0"},{"anchor":"t:year/0","id":"year/0"},{"anchor":"t:year_of_era/0","id":"year_of_era/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Calendar.ISO"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Calendar.TimeZoneDatabase","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Calendar.TimeZoneDatabase","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:time_zone_period/0","id":"time_zone_period/0"},{"anchor":"t:time_zone_period_limit/0","id":"time_zone_period_limit/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Calendar.TimeZoneDatabase"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Code","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Code","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:binding/0","id":"binding/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Code"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Code.Fragment","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Code.Fragment","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:binding/0","id":"binding/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Code.Fragment"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Collectable","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Collectable","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:command/0","id":"command/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Collectable"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Config.Provider","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Config.Provider","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:config/0","id":"config/0"},{"anchor":"t:config_path/0","id":"config_path/0"},{"anchor":"t:state/0","id":"state/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Config.Provider"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Date","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Date","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Date"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Date.Range","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Date.Range","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:iso_days/0","id":"iso_days/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Date.Range"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.DateTime","nested_context":"TypeCheck.DefaultOverrides","nested_title":".DateTime","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.DateTime"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.DynamicSupervisor","nested_context":"TypeCheck.DefaultOverrides","nested_title":".DynamicSupervisor","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:init_option/0","id":"init_option/0"},{"anchor":"t:on_start_child/0","id":"on_start_child/0"},{"anchor":"t:option/0","id":"option/0"},{"anchor":"t:strategy/0","id":"strategy/0"},{"anchor":"t:sup_flags/0","id":"sup_flags/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.DynamicSupervisor"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Enum","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Enum","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:acc/0","id":"acc/0"},{"anchor":"t:default/0","id":"default/0"},{"anchor":"t:element/0","id":"element/0"},{"anchor":"t:index/0","id":"index/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Enum"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Enumerable","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Enumerable","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:acc/0","id":"acc/0"},{"anchor":"t:continuation/0","id":"continuation/0"},{"anchor":"t:reducer/0","id":"reducer/0"},{"anchor":"t:result/0","id":"result/0"},{"anchor":"t:slicing_fun/0","id":"slicing_fun/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Enumerable"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Erlang.Binary","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Erlang.Binary","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:cp/0","id":"cp/0"},{"anchor":"t:part/0","id":"part/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Erlang.Binary"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Erlang.Calendar","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Erlang.Calendar","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:date/0","id":"date/0"},{"anchor":"t:datetime1970/0","id":"datetime1970/0"},{"anchor":"t:datetime/0","id":"datetime/0"},{"anchor":"t:time/0","id":"time/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Erlang.Calendar"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Erlang.Inet","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Erlang.Inet","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:port_number/0","id":"port_number/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Erlang.Inet"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Exception","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Exception","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:arity_or_args/0","id":"arity_or_args/0"},{"anchor":"t:kind/0","id":"kind/0"},{"anchor":"t:location/0","id":"location/0"},{"anchor":"t:non_error_kind/0","id":"non_error_kind/0"},{"anchor":"t:stacktrace/0","id":"stacktrace/0"},{"anchor":"t:stacktrace_entry/0","id":"stacktrace_entry/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Exception"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.File","nested_context":"TypeCheck.DefaultOverrides","nested_title":".File","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:encoding_mode/0","id":"encoding_mode/0"},{"anchor":"t:erlang_time/0","id":"erlang_time/0"},{"anchor":"t:fd/0","id":"fd/0"},{"anchor":"t:io_device/0","id":"io_device/0"},{"anchor":"t:mode/0","id":"mode/0"},{"anchor":"t:posix/0","id":"posix/0"},{"anchor":"t:posix_time/0","id":"posix_time/0"},{"anchor":"t:stat_options/0","id":"stat_options/0"},{"anchor":"t:stream_mode/0","id":"stream_mode/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.File"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.File.Stat","nested_context":"TypeCheck.DefaultOverrides","nested_title":".File.Stat","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.File.Stat"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.File.Stream","nested_context":"TypeCheck.DefaultOverrides","nested_title":".File.Stream","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.File.Stream"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Float","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Float","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:precision_range/0","id":"precision_range/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Float"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Function","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Function","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:information/0","id":"information/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Function"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.GenServer","nested_context":"TypeCheck.DefaultOverrides","nested_title":".GenServer","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:debug/0","id":"debug/0"},{"anchor":"t:from/0","id":"from/0"},{"anchor":"t:name/0","id":"name/0"},{"anchor":"t:on_start/0","id":"on_start/0"},{"anchor":"t:option/0","id":"option/0"},{"anchor":"t:options/0","id":"options/0"},{"anchor":"t:server/0","id":"server/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.GenServer"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.IO","nested_context":"TypeCheck.DefaultOverrides","nested_title":".IO","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:chardata/0","id":"chardata/0"},{"anchor":"t:device/0","id":"device/0"},{"anchor":"t:nodata/0","id":"nodata/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.IO"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.IO.ANSI","nested_context":"TypeCheck.DefaultOverrides","nested_title":".IO.ANSI","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:ansicode/0","id":"ansicode/0"},{"anchor":"t:ansidata/0","id":"ansidata/0"},{"anchor":"t:ansilist/0","id":"ansilist/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.IO.ANSI"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.IO.Stream","nested_context":"TypeCheck.DefaultOverrides","nested_title":".IO.Stream","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.IO.Stream"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Inspect","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Inspect","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Inspect"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Inspect.Algebra","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Inspect.Algebra","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Inspect.Algebra"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Inspect.Opts","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Inspect.Opts","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:color_key/0","id":"color_key/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Inspect.Opts"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Kernel.ParallelCompiler","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Kernel.ParallelCompiler","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:error/0","id":"error/0"},{"anchor":"t:line/0","id":"line/0"},{"anchor":"t:location/0","id":"location/0"},{"anchor":"t:warning/0","id":"warning/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Kernel.ParallelCompiler"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Keyword","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Keyword","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:key/0","id":"key/0"},{"anchor":"t:t/0","id":"t/0"},{"anchor":"t:t/1","id":"t/1"},{"anchor":"t:value/0","id":"value/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Keyword"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.List.Chars","nested_context":"TypeCheck.DefaultOverrides","nested_title":".List.Chars","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.List.Chars"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Macro","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Macro","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:captured_remote_function/0","id":"captured_remote_function/0"},{"anchor":"t:input/0","id":"input/0"},{"anchor":"t:metadata/0","id":"metadata/0"},{"anchor":"t:output/0","id":"output/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Macro"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Macro.Env","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Macro.Env","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:context/0","id":"context/0"},{"anchor":"t:context_modules/0","id":"context_modules/0"},{"anchor":"t:file/0","id":"file/0"},{"anchor":"t:line/0","id":"line/0"},{"anchor":"t:name_arity/0","id":"name_arity/0"},{"anchor":"t:t/0","id":"t/0"},{"anchor":"t:variable/0","id":"variable/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Macro.Env"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Map","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Map","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:key/0","id":"key/0"},{"anchor":"t:value/0","id":"value/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Map"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.MapSet","nested_context":"TypeCheck.DefaultOverrides","nested_title":".MapSet","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"},{"anchor":"t:t/1","id":"t/1"},{"anchor":"t:value/0","id":"value/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.MapSet"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Module","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Module","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:def_kind/0","id":"def_kind/0"},{"anchor":"t:definition/0","id":"definition/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Module"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.NaiveDateTime","nested_context":"TypeCheck.DefaultOverrides","nested_title":".NaiveDateTime","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.NaiveDateTime"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Node","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Node","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:state/0","id":"state/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Node"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.OptionParser","nested_context":"TypeCheck.DefaultOverrides","nested_title":".OptionParser","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:argv/0","id":"argv/0"},{"anchor":"t:errors/0","id":"errors/0"},{"anchor":"t:options/0","id":"options/0"},{"anchor":"t:parsed/0","id":"parsed/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.OptionParser"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Path","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Path","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Path"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Port","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Port","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:name/0","id":"name/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Port"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Process","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Process","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:dest/0","id":"dest/0"},{"anchor":"t:spawn_opt/0","id":"spawn_opt/0"},{"anchor":"t:spawn_opts/0","id":"spawn_opts/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Process"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Range","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Range","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:limit/0","id":"limit/0"},{"anchor":"t:step/0","id":"step/0"},{"anchor":"t:t/0","id":"t/0"},{"anchor":"t:t/2","id":"t/2"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Range"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Regex","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Regex","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"regex_gen/0","id":"regex_gen/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Regex"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Registry","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Registry","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:body/0","id":"body/0"},{"anchor":"t:guard/0","id":"guard/0"},{"anchor":"t:guards/0","id":"guards/0"},{"anchor":"t:key/0","id":"key/0"},{"anchor":"t:keys/0","id":"keys/0"},{"anchor":"t:match_pattern/0","id":"match_pattern/0"},{"anchor":"t:meta_key/0","id":"meta_key/0"},{"anchor":"t:meta_value/0","id":"meta_value/0"},{"anchor":"t:registry/0","id":"registry/0"},{"anchor":"t:spec/0","id":"spec/0"},{"anchor":"t:start_option/0","id":"start_option/0"},{"anchor":"t:value/0","id":"value/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Registry"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Stream","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Stream","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:acc/0","id":"acc/0"},{"anchor":"t:default/0","id":"default/0"},{"anchor":"t:element/0","id":"element/0"},{"anchor":"t:index/0","id":"index/0"},{"anchor":"t:timer/0","id":"timer/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Stream"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.String","nested_context":"TypeCheck.DefaultOverrides","nested_title":".String","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:codepoint/0","id":"codepoint/0"},{"anchor":"t:grapheme/0","id":"grapheme/0"},{"anchor":"t:pattern/0","id":"pattern/0"},{"anchor":"t:t/0","id":"t/0"}]},{"key":"functions","name":"Functions","nodes":[{"anchor":"printable_string_gen/0","id":"printable_string_gen/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.String"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.String.Chars","nested_context":"TypeCheck.DefaultOverrides","nested_title":".String.Chars","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.String.Chars"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Supervisor","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Supervisor","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:child/0","id":"child/0"},{"anchor":"t:child_spec/0","id":"child_spec/0"},{"anchor":"t:init_option/0","id":"init_option/0"},{"anchor":"t:name/0","id":"name/0"},{"anchor":"t:on_start/0","id":"on_start/0"},{"anchor":"t:on_start_child/0","id":"on_start_child/0"},{"anchor":"t:option/0","id":"option/0"},{"anchor":"t:strategy/0","id":"strategy/0"},{"anchor":"t:supervisor/0","id":"supervisor/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Supervisor"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.System","nested_context":"TypeCheck.DefaultOverrides","nested_title":".System","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:signal/0","id":"signal/0"},{"anchor":"t:time_unit/0","id":"time_unit/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.System"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Task","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Task","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Task"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Task.Supervisor","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Task.Supervisor","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:option/0","id":"option/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Task.Supervisor"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Time","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Time","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Time"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.URI","nested_context":"TypeCheck.DefaultOverrides","nested_title":".URI","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:port_number/0","id":"port_number/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.URI"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Version","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Version","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:build/0","id":"build/0"},{"anchor":"t:major/0","id":"major/0"},{"anchor":"t:minor/0","id":"minor/0"},{"anchor":"t:patch/0","id":"patch/0"},{"anchor":"t:pre/0","id":"pre/0"},{"anchor":"t:requirement/0","id":"requirement/0"},{"anchor":"t:t/0","id":"t/0"},{"anchor":"t:version/0","id":"version/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Version"},{"group":"Standard Library overrides","id":"TypeCheck.DefaultOverrides.Version.Requirement","nested_context":"TypeCheck.DefaultOverrides","nested_title":".Version.Requirement","nodeGroups":[{"key":"types","name":"Types","nodes":[{"anchor":"t:matchable/0","id":"matchable/0"},{"anchor":"t:t/0","id":"t/0"}]}],"sections":[],"title":"TypeCheck.DefaultOverrides.Version.Requirement"},{"group":"Other","id":"TypeCheck.CompileError","sections":[],"title":"TypeCheck.CompileError"},{"group":"Other","id":"TypeCheck.Credo.Check.Readability.Specs","sections":[{"anchor":"module-explanation","id":"Explanation"},{"anchor":"module-check-specific-parameters","id":"Check-Specific Parameters"},{"anchor":"module-general-parameters","id":"General Parameters"}],"title":"TypeCheck.Credo.Check.Readability.Specs"}],"tasks":[]}